apiVersion: v1
kind: Service
metadata:
  name: stackbus-runtime

spec:
  # This defines which pods are going to be represented by this Service
  # The service becomes a network endpoint for either other services
  # or maybe external users to connect to (eg browser)
  selector:
    app: runtime

  ports:
    - name: http
      port: 3000
      nodePort: 30080

  type: LoadBalancer
